package wtf.opal.event.impl.game.world;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.sound.SoundEvent;
import wtf.opal.event.EventCancellable;

@Environment(EnvType.CLIENT)
public final class PlaySoundEvent extends EventCancellable {
   private final SoundEvent soundEvent;
   private final double x;
   private final double y;
   private final double z;

   public PlaySoundEvent(SoundEvent soundEvent, double x, double y, double z) {
      this.soundEvent = soundEvent;
      this.x = x;
      this.y = y;
      this.z = z;
   }

   public SoundEvent getSoundEvent() {
      return this.soundEvent;
   }

   public double getX() {
      return this.x;
   }

   public double getY() {
      return this.y;
   }

   public double getZ() {
      return this.z;
   }
}
